libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
ln_hyp_orbit Struct Reference

Hyperbolic Orbital elements. More...

## Data Fields
double | q
double | e
double | i
double | w
double | omega
double | JD

## Detailed Description

Hyperbolic Orbital elements.

TODO. Angles are expressed in degrees.

## Field Documentation

double ln_hyp_orbit::e

Eccentricity

Referenced by ln_get_hyp_body_elong(), ln_get_hyp_body_phase_angle(), and ln_get_hyp_helio_rect_posn().

double ln_hyp_orbit::i

Inclination in degrees

Referenced by ln_get_hyp_helio_rect_posn().

double ln_hyp_orbit::JD

Time of last passage in Perihelion, in julian day

Referenced by ln_get_hyp_body_elong(), ln_get_hyp_body_phase_angle(), and ln_get_hyp_helio_rect_posn().

double ln_hyp_orbit::omega

Longitude of ascending node in degrees

Referenced by ln_get_hyp_helio_rect_posn().

double ln_hyp_orbit::q

Perihelion distance in AU

Referenced by ln_get_hyp_body_elong(), ln_get_hyp_body_phase_angle(), and ln_get_hyp_helio_rect_posn().

double ln_hyp_orbit::w

Argument of perihelion in degrees

Referenced by ln_get_hyp_helio_rect_posn().